source: squid-ssl/trunk/fuentes/helpers/ntlm_auth/smb_lm/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 40.2 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = ntlm_smb_lm_auth$(EXEEXT)
95subdir = helpers/ntlm_auth/smb_lm
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_ntlm_smb_lm_auth_OBJECTS = ntlm_smb_lm_auth.$(OBJEXT)
165ntlm_smb_lm_auth_OBJECTS = $(am_ntlm_smb_lm_auth_OBJECTS)
166@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
167am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
168        $(am__DEPENDENCIES_1)
169am__DEPENDENCIES_3 =
170ntlm_smb_lm_auth_DEPENDENCIES =  \
171        $(top_builddir)/lib/smblib/libsmblib.la \
172        $(top_builddir)/lib/rfcnb/librfcnb.la \
173        $(top_builddir)/lib/ntlmauth/libntlmauth.la \
174        $(top_builddir)/lib/libmiscencoding.la $(am__DEPENDENCIES_2) \
175        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3) \
176        $(am__DEPENDENCIES_3)
177AM_V_lt = $(am__v_lt_@AM_V@)
178am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
179am__v_lt_0 = --silent
180am__v_lt_1 =
181AM_V_P = $(am__v_P_@AM_V@)
182am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
183am__v_P_0 = false
184am__v_P_1 = :
185AM_V_GEN = $(am__v_GEN_@AM_V@)
186am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
187am__v_GEN_0 = @echo "  GEN     " $@;
188am__v_GEN_1 =
189AM_V_at = $(am__v_at_@AM_V@)
190am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
191am__v_at_0 = @
192am__v_at_1 =
193DEFAULT_INCLUDES =
194depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
195am__depfiles_maybe = depfiles
196am__mv = mv -f
197CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
198        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
199LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
200        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
201        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
202        $(AM_CXXFLAGS) $(CXXFLAGS)
203AM_V_CXX = $(am__v_CXX_@AM_V@)
204am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
205am__v_CXX_0 = @echo "  CXX     " $@;
206am__v_CXX_1 =
207CXXLD = $(CXX)
208CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
209        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
210        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
211AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
212am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
213am__v_CXXLD_0 = @echo "  CXXLD   " $@;
214am__v_CXXLD_1 =
215SOURCES = $(ntlm_smb_lm_auth_SOURCES)
216DIST_SOURCES = $(ntlm_smb_lm_auth_SOURCES)
217am__can_run_installinfo = \
218  case $$AM_UPDATE_INFO_DIR in \
219    n|no|NO) false;; \
220    *) (install-info --version) >/dev/null 2>&1;; \
221  esac
222am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
223# Read a list of newline-separated strings from the standard input,
224# and print each of them once, without duplicates.  Input order is
225# *not* preserved.
226am__uniquify_input = $(AWK) '\
227  BEGIN { nonempty = 0; } \
228  { items[$$0] = 1; nonempty = 1; } \
229  END { if (nonempty) { for (i in items) print i; }; } \
230'
231# Make sure the list of sources is unique.  This is necessary because,
232# e.g., the same source file might be shared among _SOURCES variables
233# for different programs/libraries.
234am__define_uniq_tagged_files = \
235  list='$(am__tagged_files)'; \
236  unique=`for i in $$list; do \
237    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
238  done | $(am__uniquify_input)`
239ETAGS = etags
240CTAGS = ctags
241am__tty_colors_dummy = \
242  mgn= red= grn= lgn= blu= brg= std=; \
243  am__color_tests=no
244am__tty_colors = { \
245  $(am__tty_colors_dummy); \
246  if test "X$(AM_COLOR_TESTS)" = Xno; then \
247    am__color_tests=no; \
248  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
249    am__color_tests=yes; \
250  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
251    am__color_tests=yes; \
252  fi; \
253  if test $$am__color_tests = yes; then \
254    red='[0;31m'; \
255    grn='[0;32m'; \
256    lgn='[1;32m'; \
257    blu='[1;34m'; \
258    mgn='[0;35m'; \
259    brg='[1m'; \
260    std='[m'; \
261  fi; \
262}
263am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
264am__vpath_adj = case $$p in \
265    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
266    *) f=$$p;; \
267  esac;
268am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
269am__install_max = 40
270am__nobase_strip_setup = \
271  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
272am__nobase_strip = \
273  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
274am__nobase_list = $(am__nobase_strip_setup); \
275  for p in $$list; do echo "$$p $$p"; done | \
276  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
277  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
278    if (++n[$$2] == $(am__install_max)) \
279      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
280    END { for (dir in files) print dir, files[dir] }'
281am__base_list = \
282  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
283  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
284am__uninstall_files_from_dir = { \
285  test -z "$$files" \
286    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
287    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
288         $(am__cd) "$$dir" && rm -f $$files; }; \
289  }
290am__recheck_rx = ^[     ]*:recheck:[    ]*
291am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
292am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
293# A command that, given a newline-separated list of test names on the
294# standard input, print the name of the tests that are to be re-run
295# upon "make recheck".
296am__list_recheck_tests = $(AWK) '{ \
297  recheck = 1; \
298  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
299    { \
300      if (rc < 0) \
301        { \
302          if ((getline line2 < ($$0 ".log")) < 0) \
303            recheck = 0; \
304          break; \
305        } \
306      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
307        { \
308          recheck = 0; \
309          break; \
310        } \
311      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
312        { \
313          break; \
314        } \
315    }; \
316  if (recheck) \
317    print $$0; \
318  close ($$0 ".trs"); \
319  close ($$0 ".log"); \
320}'
321# A command that, given a newline-separated list of test names on the
322# standard input, create the global log from their .trs and .log files.
323am__create_global_log = $(AWK) ' \
324function fatal(msg) \
325{ \
326  print "fatal: making $@: " msg | "cat >&2"; \
327  exit 1; \
328} \
329function rst_section(header) \
330{ \
331  print header; \
332  len = length(header); \
333  for (i = 1; i <= len; i = i + 1) \
334    printf "="; \
335  printf "\n\n"; \
336} \
337{ \
338  copy_in_global_log = 1; \
339  global_test_result = "RUN"; \
340  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
341    { \
342      if (rc < 0) \
343         fatal("failed to read from " $$0 ".trs"); \
344      if (line ~ /$(am__global_test_result_rx)/) \
345        { \
346          sub("$(am__global_test_result_rx)", "", line); \
347          sub("[        ]*$$", "", line); \
348          global_test_result = line; \
349        } \
350      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
351        copy_in_global_log = 0; \
352    }; \
353  if (copy_in_global_log) \
354    { \
355      rst_section(global_test_result ": " $$0); \
356      while ((rc = (getline line < ($$0 ".log"))) != 0) \
357      { \
358        if (rc < 0) \
359          fatal("failed to read from " $$0 ".log"); \
360        print line; \
361      }; \
362      printf "\n"; \
363    }; \
364  close ($$0 ".trs"); \
365  close ($$0 ".log"); \
366}'
367# Restructured Text title.
368am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
369# Solaris 10 'make', and several other traditional 'make' implementations,
370# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
371# by disabling -e (using the XSI extension "set +e") if it's set.
372am__sh_e_setup = case $$- in *e*) set +e;; esac
373# Default flags passed to test drivers.
374am__common_driver_flags = \
375  --color-tests "$$am__color_tests" \
376  --enable-hard-errors "$$am__enable_hard_errors" \
377  --expect-failure "$$am__expect_failure"
378# To be inserted before the command running the test.  Creates the
379# directory for the log if needed.  Stores in $dir the directory
380# containing $f, in $tst the test, in $log the log.  Executes the
381# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
382# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
383# will run the test scripts (or their associated LOG_COMPILER, if
384# thy have one).
385am__check_pre = \
386$(am__sh_e_setup);                                      \
387$(am__vpath_adj_setup) $(am__vpath_adj)                 \
388$(am__tty_colors);                                      \
389srcdir=$(srcdir); export srcdir;                        \
390case "$@" in                                            \
391  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
392    *) am__odir=.;;                                     \
393esac;                                                   \
394test "x$$am__odir" = x"." || test -d "$$am__odir"       \
395  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
396if test -f "./$$f"; then dir=./;                        \
397elif test -f "$$f"; then dir=;                          \
398else dir="$(srcdir)/"; fi;                              \
399tst=$$dir$$f; log='$@';                                 \
400if test -n '$(DISABLE_HARD_ERRORS)'; then               \
401  am__enable_hard_errors=no;                            \
402else                                                    \
403  am__enable_hard_errors=yes;                           \
404fi;                                                     \
405case " $(XFAIL_TESTS) " in                              \
406  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
407    am__expect_failure=yes;;                            \
408  *)                                                    \
409    am__expect_failure=no;;                             \
410esac;                                                   \
411$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
412# A shell command to get the names of the tests scripts with any registered
413# extension removed (i.e., equivalently, the names of the test logs, with
414# the '.log' extension removed).  The result is saved in the shell variable
415# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
416# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
417# since that might cause problem with VPATH rewrites for suffix-less tests.
418# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
419am__set_TESTS_bases = \
420  bases='$(TEST_LOGS)'; \
421  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
422  bases=`echo $$bases`
423RECHECK_LOGS = $(TEST_LOGS)
424AM_RECURSIVE_TARGETS = check recheck
425TEST_SUITE_LOG = test-suite.log
426TEST_EXTENSIONS = @EXEEXT@ .test
427am__test_logs1 = $(TESTS:=.log)
428am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
429TEST_LOGS = $(am__test_logs2:.test.log=.log)
430TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
431TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
432        $(TEST_LOG_FLAGS)
433am__set_b = \
434  case '$@' in \
435    */*) \
436      case '$*' in \
437        */*) b='$*';; \
438          *) b=`echo '$@' | sed 's/\.log$$//'`; \
439       esac;; \
440    *) \
441      b='$*';; \
442  esac
443am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
444        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
445DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
446ACLOCAL = @ACLOCAL@
447ADAPTATION_LIBS = @ADAPTATION_LIBS@
448ALLOCA = @ALLOCA@
449AMTAR = @AMTAR@
450AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
451AR = @AR@
452ARGZ_H = @ARGZ_H@
453AR_R = @AR_R@
454AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
455AUTH_MODULES = @AUTH_MODULES@
456AUTOCONF = @AUTOCONF@
457AUTOHEADER = @AUTOHEADER@
458AUTOMAKE = @AUTOMAKE@
459AWK = @AWK@
460BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
461BUILDCXX = @BUILDCXX@
462BUILDCXXFLAGS = @BUILDCXXFLAGS@
463BZR = @BZR@
464CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
465CC = @CC@
466CCDEPMODE = @CCDEPMODE@
467CFLAGS = @CFLAGS@
468CGIEXT = @CGIEXT@
469CHMOD = @CHMOD@
470CPP = @CPP@
471CPPFLAGS = @CPPFLAGS@
472CPPUNITCONFIG = @CPPUNITCONFIG@
473CRYPTLIB = @CRYPTLIB@
474CXX = @CXX@
475CXXCPP = @CXXCPP@
476CXXDEPMODE = @CXXDEPMODE@
477CXXFLAGS = @CXXFLAGS@
478CYGPATH_W = @CYGPATH_W@
479DEFAULT_HOSTS = @DEFAULT_HOSTS@
480DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
481DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
482DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
483DEFS = @DEFS@
484DEPDIR = @DEPDIR@
485DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
486DISK_LIBS = @DISK_LIBS@
487DISK_LINKOBJS = @DISK_LINKOBJS@
488DISK_MODULES = @DISK_MODULES@
489DISK_OS_LIBS = @DISK_OS_LIBS@
490DISK_PROGRAMS = @DISK_PROGRAMS@
491DLLTOOL = @DLLTOOL@
492DSYMUTIL = @DSYMUTIL@
493DUMPBIN = @DUMPBIN@
494ECAP_LIBS = @ECAP_LIBS@
495ECHO_C = @ECHO_C@
496ECHO_N = @ECHO_N@
497ECHO_T = @ECHO_T@
498EGREP = @EGREP@
499EPOLL_LIBS = @EPOLL_LIBS@
500EUILIB = @EUILIB@
501EXEEXT = @EXEEXT@
502EXPATLIB = @EXPATLIB@
503EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
504EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
505EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
506FALSE = @FALSE@
507FGREP = @FGREP@
508GREP = @GREP@
509HAVE_CXX11 = @HAVE_CXX11@
510ICAP_LIBS = @ICAP_LIBS@
511INCLTDL = @INCLTDL@
512INSTALL = @INSTALL@
513INSTALL_DATA = @INSTALL_DATA@
514INSTALL_PROGRAM = @INSTALL_PROGRAM@
515INSTALL_SCRIPT = @INSTALL_SCRIPT@
516INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
517KRB5INCS = @KRB5INCS@
518KRB5LIBS = @KRB5LIBS@
519LBERLIB = @LBERLIB@
520LD = @LD@
521LDAPLIB = @LDAPLIB@
522LDFLAGS = @LDFLAGS@
523LIBADD_DL = @LIBADD_DL@
524LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
525LIBADD_DLOPEN = @LIBADD_DLOPEN@
526LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
527LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
528LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
529LIBLTDL = @LIBLTDL@
530LIBOBJS = @LIBOBJS@
531LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
532LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
533LIBS = @LIBS@
534LIBSASL = @LIBSASL@
535LIBTOOL = @LIBTOOL@
536LIB_DB = @LIB_DB@
537LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
538LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
539LINUXDOC = @LINUXDOC@
540LIPO = @LIPO@
541LN = @LN@
542LN_S = @LN_S@
543LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
544LTDLDEPS = @LTDLDEPS@
545LTDLINCL = @LTDLINCL@
546LTDLOPEN = @LTDLOPEN@
547LTLIBOBJS = @LTLIBOBJS@
548LT_CONFIG_H = @LT_CONFIG_H@
549LT_DLLOADERS = @LT_DLLOADERS@
550LT_DLPREOPEN = @LT_DLPREOPEN@
551MAINT = @MAINT@
552MAKEINFO = @MAKEINFO@
553MANIFEST_TOOL = @MANIFEST_TOOL@
554MINGW_LIBS = @MINGW_LIBS@
555MKDIR = @MKDIR@
556MKDIR_P = @MKDIR_P@
557MV = @MV@
558NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
559NETTLELIB = @NETTLELIB@
560NM = @NM@
561NMEDIT = @NMEDIT@
562NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
563OBJDUMP = @OBJDUMP@
564OBJEXT = @OBJEXT@
565OTOOL = @OTOOL@
566OTOOL64 = @OTOOL64@
567PACKAGE = @PACKAGE@
568PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
569PACKAGE_NAME = @PACKAGE_NAME@
570PACKAGE_STRING = @PACKAGE_STRING@
571PACKAGE_TARNAME = @PACKAGE_TARNAME@
572PACKAGE_URL = @PACKAGE_URL@
573PACKAGE_VERSION = @PACKAGE_VERSION@
574PATH_SEPARATOR = @PATH_SEPARATOR@
575PERL = @PERL@
576PKG_CONFIG = @PKG_CONFIG@
577PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
578PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
579PO2HTML = @PO2HTML@
580PO2TEXT = @PO2TEXT@
581POD2MAN = @POD2MAN@
582RANLIB = @RANLIB@
583REGEXLIB = @REGEXLIB@
584REPL_LIBS = @REPL_LIBS@
585REPL_OBJS = @REPL_OBJS@
586REPL_POLICIES = @REPL_POLICIES@
587RM = @RM@
588SED = @SED@
589SET_MAKE = @SET_MAKE@
590SH = @SH@
591SHELL = @SHELL@
592SMBCLIENT = @SMBCLIENT@
593SNMPLIB = @SNMPLIB@
594SQUID_CFLAGS = @SQUID_CFLAGS@
595SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
596SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
597SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
598SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
599SSLLIB = @SSLLIB@
600STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
601STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
602STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
603STORE_TESTS = @STORE_TESTS@
604STRIP = @STRIP@
605TR = @TR@
606TRUE = @TRUE@
607URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
608VERSION = @VERSION@
609WBINFO = @WBINFO@
610WIN32_PSAPI = @WIN32_PSAPI@
611XMLLIB = @XMLLIB@
612XTRA_LIBS = @XTRA_LIBS@
613XTRA_OBJS = @XTRA_OBJS@
614abs_builddir = @abs_builddir@
615abs_srcdir = @abs_srcdir@
616abs_top_builddir = @abs_top_builddir@
617abs_top_srcdir = @abs_top_srcdir@
618ac_ct_AR = @ac_ct_AR@
619ac_ct_CC = @ac_ct_CC@
620ac_ct_CXX = @ac_ct_CXX@
621ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
622am__include = @am__include@
623am__leading_dot = @am__leading_dot@
624am__quote = @am__quote@
625am__tar = @am__tar@
626am__untar = @am__untar@
627bindir = @bindir@
628build = @build@
629build_alias = @build_alias@
630build_cpu = @build_cpu@
631build_os = @build_os@
632build_vendor = @build_vendor@
633builddir = @builddir@
634datadir = @datadir@
635datarootdir = @datarootdir@
636docdir = @docdir@
637dvidir = @dvidir@
638exec_prefix = @exec_prefix@
639host = @host@
640host_alias = @host_alias@
641host_cpu = @host_cpu@
642host_os = @host_os@
643host_vendor = @host_vendor@
644htmldir = @htmldir@
645includedir = @includedir@
646infodir = @infodir@
647install_sh = @install_sh@
648krb5_config = @krb5_config@
649libdir = @libdir@
650libexecdir = @libexecdir@
651localedir = @localedir@
652localstatedir = @localstatedir@
653ltdl_LIBOBJS = @ltdl_LIBOBJS@
654ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
655mandir = @mandir@
656mkdir_p = @mkdir_p@
657oldincludedir = @oldincludedir@
658pdfdir = @pdfdir@
659prefix = @prefix@
660program_transform_name = @program_transform_name@
661psdir = @psdir@
662runstatedir = @runstatedir@
663sbindir = @sbindir@
664sharedstatedir = @sharedstatedir@
665srcdir = @srcdir@
666subdirs = @subdirs@
667sys_symbol_underscore = @sys_symbol_underscore@
668sysconfdir = @sysconfdir@
669target_alias = @target_alias@
670top_build_prefix = @top_build_prefix@
671top_builddir = @top_builddir@
672top_srcdir = @top_srcdir@
673AM_CFLAGS = $(SQUID_CFLAGS)
674AM_CXXFLAGS = $(SQUID_CXXFLAGS)
675CLEANFILES =
676AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
677        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
678        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
679        $(am__append_1) -I$(top_srcdir)/lib
680@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
681@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
682COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
683subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
684ntlm_smb_lm_auth_SOURCES = ntlm_smb_lm_auth.cc
685ntlm_smb_lm_auth_LDADD = \
686        $(top_builddir)/lib/smblib/libsmblib.la \
687        $(top_builddir)/lib/rfcnb/librfcnb.la \
688        $(top_builddir)/lib/ntlmauth/libntlmauth.la \
689        $(top_builddir)/lib/libmiscencoding.la \
690        $(COMPAT_LIB) \
691        $(NETTLELIB) \
692        $(CRYPTLIB) \
693        $(XTRA_LIBS)
694
695EXTRA_DIST = required.m4
696all: all-am
697
698.SUFFIXES:
699.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
700$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
701        @for dep in $?; do \
702          case '$(am__configure_deps)' in \
703            *$$dep*) \
704              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
705                && { if test -f $@; then exit 0; else break; fi; }; \
706              exit 1;; \
707          esac; \
708        done; \
709        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign helpers/ntlm_auth/smb_lm/Makefile'; \
710        $(am__cd) $(top_srcdir) && \
711          $(AUTOMAKE) --foreign helpers/ntlm_auth/smb_lm/Makefile
712Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
713        @case '$?' in \
714          *config.status*) \
715            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
716          *) \
717            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
718            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
719        esac;
720$(top_srcdir)/src/Common.am $(am__empty):
721
722$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
723        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
724
725$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
726        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
727$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
728        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
729$(am__aclocal_m4_deps):
730
731clean-checkPROGRAMS:
732        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
733        echo " rm -f" $$list; \
734        rm -f $$list || exit $$?; \
735        test -n "$(EXEEXT)" || exit 0; \
736        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
737        echo " rm -f" $$list; \
738        rm -f $$list
739install-libexecPROGRAMS: $(libexec_PROGRAMS)
740        @$(NORMAL_INSTALL)
741        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
742        if test -n "$$list"; then \
743          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
744          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
745        fi; \
746        for p in $$list; do echo "$$p $$p"; done | \
747        sed 's/$(EXEEXT)$$//' | \
748        while read p p1; do if test -f $$p \
749         || test -f $$p1 \
750          ; then echo "$$p"; echo "$$p"; else :; fi; \
751        done | \
752        sed -e 'p;s,.*/,,;n;h' \
753            -e 's|.*|.|' \
754            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
755        sed 'N;N;N;s,\n, ,g' | \
756        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
757          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
758            if ($$2 == $$4) files[d] = files[d] " " $$1; \
759            else { print "f", $$3 "/" $$4, $$1; } } \
760          END { for (d in files) print "f", d, files[d] }' | \
761        while read type dir files; do \
762            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
763            test -z "$$files" || { \
764            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
765            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
766            } \
767        ; done
768
769uninstall-libexecPROGRAMS:
770        @$(NORMAL_UNINSTALL)
771        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
772        files=`for p in $$list; do echo "$$p"; done | \
773          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
774              -e 's/$$/$(EXEEXT)/' \
775        `; \
776        test -n "$$list" || exit 0; \
777        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
778        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
779
780clean-libexecPROGRAMS:
781        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
782        echo " rm -f" $$list; \
783        rm -f $$list || exit $$?; \
784        test -n "$(EXEEXT)" || exit 0; \
785        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
786        echo " rm -f" $$list; \
787        rm -f $$list
788
789ntlm_smb_lm_auth$(EXEEXT): $(ntlm_smb_lm_auth_OBJECTS) $(ntlm_smb_lm_auth_DEPENDENCIES) $(EXTRA_ntlm_smb_lm_auth_DEPENDENCIES)
790        @rm -f ntlm_smb_lm_auth$(EXEEXT)
791        $(AM_V_CXXLD)$(CXXLINK) $(ntlm_smb_lm_auth_OBJECTS) $(ntlm_smb_lm_auth_LDADD) $(LIBS)
792
793mostlyclean-compile:
794        -rm -f *.$(OBJEXT)
795
796distclean-compile:
797        -rm -f *.tab.c
798
799@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ntlm_smb_lm_auth.Po@am__quote@
800
801.cc.o:
802@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
803@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
804@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
805@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
806@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
807@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
808
809.cc.obj:
810@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
811@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
812@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
813@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
814@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
815@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
816
817.cc.lo:
818@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
819@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
820@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
821@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
822@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
823@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
824
825mostlyclean-libtool:
826        -rm -f *.lo
827
828clean-libtool:
829        -rm -rf .libs _libs
830
831ID: $(am__tagged_files)
832        $(am__define_uniq_tagged_files); mkid -fID $$unique
833tags: tags-am
834TAGS: tags
835
836tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
837        set x; \
838        here=`pwd`; \
839        $(am__define_uniq_tagged_files); \
840        shift; \
841        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
842          test -n "$$unique" || unique=$$empty_fix; \
843          if test $$# -gt 0; then \
844            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
845              "$$@" $$unique; \
846          else \
847            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
848              $$unique; \
849          fi; \
850        fi
851ctags: ctags-am
852
853CTAGS: ctags
854ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
855        $(am__define_uniq_tagged_files); \
856        test -z "$(CTAGS_ARGS)$$unique" \
857          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
858             $$unique
859
860GTAGS:
861        here=`$(am__cd) $(top_builddir) && pwd` \
862          && $(am__cd) $(top_srcdir) \
863          && gtags -i $(GTAGS_ARGS) "$$here"
864cscopelist: cscopelist-am
865
866cscopelist-am: $(am__tagged_files)
867        list='$(am__tagged_files)'; \
868        case "$(srcdir)" in \
869          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
870          *) sdir=$(subdir)/$(srcdir) ;; \
871        esac; \
872        for i in $$list; do \
873          if test -f "$$i"; then \
874            echo "$(subdir)/$$i"; \
875          else \
876            echo "$$sdir/$$i"; \
877          fi; \
878        done >> $(top_builddir)/cscope.files
879
880distclean-tags:
881        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
882
883# Recover from deleted '.trs' file; this should ensure that
884# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
885# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
886# to avoid problems with "make -n".
887.log.trs:
888        rm -f $< $@
889        $(MAKE) $(AM_MAKEFLAGS) $<
890
891# Leading 'am--fnord' is there to ensure the list of targets does not
892# expand to empty, as could happen e.g. with make check TESTS=''.
893am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
894am--force-recheck:
895        @:
896
897$(TEST_SUITE_LOG): $(TEST_LOGS)
898        @$(am__set_TESTS_bases); \
899        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
900        redo_bases=`for i in $$bases; do \
901                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
902                    done`; \
903        if test -n "$$redo_bases"; then \
904          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
905          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
906          if $(am__make_dryrun); then :; else \
907            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
908          fi; \
909        fi; \
910        if test -n "$$am__remaking_logs"; then \
911          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
912               "recursion detected" >&2; \
913        elif test -n "$$redo_logs"; then \
914          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
915        fi; \
916        if $(am__make_dryrun); then :; else \
917          st=0;  \
918          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
919          for i in $$redo_bases; do \
920            test -f $$i.trs && test -r $$i.trs \
921              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
922            test -f $$i.log && test -r $$i.log \
923              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
924          done; \
925          test $$st -eq 0 || exit 1; \
926        fi
927        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
928        ws='[   ]'; \
929        results=`for b in $$bases; do echo $$b.trs; done`; \
930        test -n "$$results" || results=/dev/null; \
931        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
932        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
933        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
934        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
935        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
936        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
937        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
938        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
939          success=true; \
940        else \
941          success=false; \
942        fi; \
943        br='==================='; br=$$br$$br$$br$$br; \
944        result_count () \
945        { \
946            if test x"$$1" = x"--maybe-color"; then \
947              maybe_colorize=yes; \
948            elif test x"$$1" = x"--no-color"; then \
949              maybe_colorize=no; \
950            else \
951              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
952            fi; \
953            shift; \
954            desc=$$1 count=$$2; \
955            if test $$maybe_colorize = yes && test $$count -gt 0; then \
956              color_start=$$3 color_end=$$std; \
957            else \
958              color_start= color_end=; \
959            fi; \
960            echo "$${color_start}# $$desc $$count$${color_end}"; \
961        }; \
962        create_testsuite_report () \
963        { \
964          result_count $$1 "TOTAL:" $$all   "$$brg"; \
965          result_count $$1 "PASS: " $$pass  "$$grn"; \
966          result_count $$1 "SKIP: " $$skip  "$$blu"; \
967          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
968          result_count $$1 "FAIL: " $$fail  "$$red"; \
969          result_count $$1 "XPASS:" $$xpass "$$red"; \
970          result_count $$1 "ERROR:" $$error "$$mgn"; \
971        }; \
972        {                                                               \
973          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
974            $(am__rst_title);                                           \
975          create_testsuite_report --no-color;                           \
976          echo;                                                         \
977          echo ".. contents:: :depth: 2";                               \
978          echo;                                                         \
979          for b in $$bases; do echo $$b; done                           \
980            | $(am__create_global_log);                                 \
981        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
982        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
983        if $$success; then                                              \
984          col="$$grn";                                                  \
985         else                                                           \
986          col="$$red";                                                  \
987          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
988        fi;                                                             \
989        echo "$${col}$$br$${std}";                                      \
990        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
991        echo "$${col}$$br$${std}";                                      \
992        create_testsuite_report --maybe-color;                          \
993        echo "$$col$$br$$std";                                          \
994        if $$success; then :; else                                      \
995          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
996          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
997            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
998          fi;                                                           \
999          echo "$$col$$br$$std";                                        \
1000        fi;                                                             \
1001        $$success || exit 1
1002
1003check-TESTS:
1004        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1005        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1006        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1007        @set +e; $(am__set_TESTS_bases); \
1008        log_list=`for i in $$bases; do echo $$i.log; done`; \
1009        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1010        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1011        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1012        exit $$?;
1013recheck: all $(check_PROGRAMS)
1014        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1015        @set +e; $(am__set_TESTS_bases); \
1016        bases=`for i in $$bases; do echo $$i; done \
1017                 | $(am__list_recheck_tests)` || exit 1; \
1018        log_list=`for i in $$bases; do echo $$i.log; done`; \
1019        log_list=`echo $$log_list`; \
1020        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1021                am__force_recheck=am--force-recheck \
1022                TEST_LOGS="$$log_list"; \
1023        exit $$?
1024.test.log:
1025        @p='$<'; \
1026        $(am__set_b); \
1027        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1028        --log-file $$b.log --trs-file $$b.trs \
1029        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1030        "$$tst" $(AM_TESTS_FD_REDIRECT)
1031@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1032@am__EXEEXT_TRUE@       @p='$<'; \
1033@am__EXEEXT_TRUE@       $(am__set_b); \
1034@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1035@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1036@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1037@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1038
1039distdir: $(DISTFILES)
1040        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1041        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1042        list='$(DISTFILES)'; \
1043          dist_files=`for file in $$list; do echo $$file; done | \
1044          sed -e "s|^$$srcdirstrip/||;t" \
1045              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1046        case $$dist_files in \
1047          */*) $(MKDIR_P) `echo "$$dist_files" | \
1048                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1049                           sort -u` ;; \
1050        esac; \
1051        for file in $$dist_files; do \
1052          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1053          if test -d $$d/$$file; then \
1054            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1055            if test -d "$(distdir)/$$file"; then \
1056              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1057            fi; \
1058            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1059              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1060              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1061            fi; \
1062            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1063          else \
1064            test -f "$(distdir)/$$file" \
1065            || cp -p $$d/$$file "$(distdir)/$$file" \
1066            || exit 1; \
1067          fi; \
1068        done
1069check-am: all-am
1070        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1071        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1072check: check-am
1073all-am: Makefile $(PROGRAMS)
1074installdirs:
1075        for dir in "$(DESTDIR)$(libexecdir)"; do \
1076          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1077        done
1078install: install-am
1079install-exec: install-exec-am
1080install-data: install-data-am
1081uninstall: uninstall-am
1082
1083install-am: all-am
1084        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1085
1086installcheck: installcheck-am
1087install-strip:
1088        if test -z '$(STRIP)'; then \
1089          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1090            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1091              install; \
1092        else \
1093          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1094            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1095            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1096        fi
1097mostlyclean-generic:
1098        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1099        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1100        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1101
1102clean-generic:
1103        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1104
1105distclean-generic:
1106        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1107        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1108
1109maintainer-clean-generic:
1110        @echo "This command is intended for maintainers to use"
1111        @echo "it deletes files that may require special tools to rebuild."
1112clean: clean-am
1113
1114clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1115        clean-libtool mostlyclean-am
1116
1117distclean: distclean-am
1118        -rm -rf ./$(DEPDIR)
1119        -rm -f Makefile
1120distclean-am: clean-am distclean-compile distclean-generic \
1121        distclean-tags
1122
1123dvi: dvi-am
1124
1125dvi-am:
1126
1127html: html-am
1128
1129html-am:
1130
1131info: info-am
1132
1133info-am:
1134
1135install-data-am:
1136
1137install-dvi: install-dvi-am
1138
1139install-dvi-am:
1140
1141install-exec-am: install-libexecPROGRAMS
1142
1143install-html: install-html-am
1144
1145install-html-am:
1146
1147install-info: install-info-am
1148
1149install-info-am:
1150
1151install-man:
1152
1153install-pdf: install-pdf-am
1154
1155install-pdf-am:
1156
1157install-ps: install-ps-am
1158
1159install-ps-am:
1160
1161installcheck-am:
1162
1163maintainer-clean: maintainer-clean-am
1164        -rm -rf ./$(DEPDIR)
1165        -rm -f Makefile
1166maintainer-clean-am: distclean-am maintainer-clean-generic
1167
1168mostlyclean: mostlyclean-am
1169
1170mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1171        mostlyclean-libtool
1172
1173pdf: pdf-am
1174
1175pdf-am:
1176
1177ps: ps-am
1178
1179ps-am:
1180
1181uninstall-am: uninstall-libexecPROGRAMS
1182
1183.MAKE: check-am install-am install-strip
1184
1185.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1186        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1187        clean-libtool cscopelist-am ctags ctags-am distclean \
1188        distclean-compile distclean-generic distclean-libtool \
1189        distclean-tags distdir dvi dvi-am html html-am info info-am \
1190        install install-am install-data install-data-am install-dvi \
1191        install-dvi-am install-exec install-exec-am install-html \
1192        install-html-am install-info install-info-am \
1193        install-libexecPROGRAMS install-man install-pdf install-pdf-am \
1194        install-ps install-ps-am install-strip installcheck \
1195        installcheck-am installdirs maintainer-clean \
1196        maintainer-clean-generic mostlyclean mostlyclean-compile \
1197        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1198        recheck tags tags-am uninstall uninstall-am \
1199        uninstall-libexecPROGRAMS
1200
1201.PRECIOUS: Makefile
1202
1203
1204$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1205
1206# Tell versions [3.59,3.63) of GNU make to not export all variables.
1207# Otherwise a system limit (for SysV at least) may be exceeded.
1208.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.